Investigate dropping Java 8 in favor of Java 11

Description

The Quarkus team announced recently that they are going to deprecate Java 8 and drop support for it entirely starting with Quarkus 1.6, due in two months.

Investigate if we shouldn't drop support for Java 8 too in the cassandra-quarkus-extension and switch to Java 11. Alternatively, we could keep supporting Java 8 while building and testing against Java 11.

Environment

None

Pull Requests

None

Assignee

Unassigned

Reporter

Alexandre Dutra

Labels

PM Priority

None

Affects versions

None

Fix versions

None

Pull Request

None

Doc Impact

None

Size

None

External issue ID

None

External issue ID

None

Epic Link

Priority

Major
Configure